Subject: [decade] [Technical Errata Reported] RFC6392 (3006)

From: RFC Errata System <[email-masked]>
Date: Wed, 26 Oct 2011 00:43:49 -0700 (PDT)

The following errata report has been submitted for RFC6392,
"A Survey of In-Network Storage Systems".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6392&eid=3006

--------------------------------------
Type: Technical
Reported by: Stéphane Bortzmeyer <[email-masked]>

Section: 5.1.2

Original Text
-------------
Not provided.

Corrected Text
--------------
Basic deletion of resources is provided with the DELETE method.

Notes
-----
The typical "data management operation" mentioned for other protocols is the deletion of data. HTTP has it from the beginning (Section 9.7 of RFC 2616).

Apache does not support it directly, you apparently have to provide a module which does it (mod_dav does it, even if DELETE is not a WebDAV method). Anyway, this section is about the abilities of the protocol, not of implementations.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6392 (draft-ietf-decade-survey-06)
--------------------------------------
Title               : A Survey of In-Network Storage Systems
Publication Date    : October 2011
Author(s)           : R. Alimi, Ed., A. Rahman, Ed., Y. Yang, Ed.
Category            : INFORMATIONAL
Source              : Decoupled Application Data Enroute
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: "Y. Richard Yang" <[email-masked]>
Date: Fri, 28 Oct 2011 22:47:59 -0400

Dear Stéphane Bortzmeyer,

As a co-editor, I checked the related documents referred to by your 
report. I agree with your proposed change:

Section: 5.1.2

Original Text
-------------
Not provided.

Corrected Text
--------------

It is an excellent catch.

Thanks a lot!

Richard

On 10/26/11 3:43 AM, RFC Errata System wrote:
> Reported by: Stéphane Bortzmeyer<[email-masked]>
>
> Section: 5.1.2
>
> Original Text
> -------------
> Not provided.
>
> Corrected Text
> --------------

---

From: Richard Alimi <[email-masked]>
Date: Sat, 29 Oct 2011 00:17:38 -0700

I agree with the proposed change as well.  Thanks for catching it!

Rich

On Fri, Oct 28, 2011 at 7:47 PM, Y. Richard Yang <[email-masked]> wrote:
> As a co-editor, I checked the related documents referred to by your report.
> I agree with your proposed change:
>
> Section: 5.1.2
>
> Original Text
> -------------
> Not provided.
>
> Corrected Text
> --------------
>> The typical "data management operation" mentioned for other protocols is
>> the deletion of data. HTTP has it from the beginning (Section 9.7 of RFC
>> 2616).
>>
>> Apache does not support it directly, you apparently have to provide a
>> module which does it (mod_dav does it, even if DELETE is not a WebDAV
>> method). Anyway, this section is about the abilities of the protocol, not of
>> implementations.
>>
>> Instructions:
>> -------------

---

From: "Rahman, Akbar" <[email-masked]>
Date: Sun, 30 Oct 2011 18:47:59 -0400

Yes, I also agree with the proposed correction by Stephane.  Thank you for pointing it out, Stephane.

Akbar

-----Original Message-----
From: Richard Alimi [mailto:[email-masked]] 
Sent: Saturday, October 29, 2011 3:18 AM
To: Y. Richard Yang
Cc: RFC Errata System; Rahman, Akbar; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Technical Errata Reported] RFC6392 (3006)

Rich